Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSemantics
Class Intention

    java.lang.Object
      jason.asSemantics.Intention

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Intention>

    public class Intention

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable<Intention>

Represents and Intention (a stack of IntendedMeans). The comparable sorts the intentions based on the atomic property: atomic intentions comes first.

See Also:
  Serialized Form

Field Summary
`static Intention` | `EmptyInt`

Constructor Summary
`Intention()`

Method Summary
`Intention` | `clone()`
`int` | `compareTo(Intention o)` implements atomic intentions > not atomic intentions
`boolean` | `dropGoal(Trigger te, Unifier un)` remove all IMs until the IM with trigger te
`boolean` | `equals(java.lang.Object o)`
`IntendedMeans` | `get(int index)`
`org.w3c.dom.Element` | `getAsDOM(org.w3c.dom.Document document)` get as XML
`Term` | `getAsTerm()`
`int` | `getId()`
`IntendedMeans` | `getIM(Trigger g, Unifier u)` returns the IntendedMeans with TE = g, returns null if there isn't one
`java.util.Stack<IntendedMeans>` | `getIMs()`
`int` | `hashCode()`
`boolean` | `hasTrigger(Trigger g, Unifier u)` returns true if the intention has an IM where TE = g, using u to verify equality
`boolean` | `isAtomic()`
`boolean` | `isFinished()`
`boolean` | `isSuspended()`
`java.util.ListIterator<IntendedMeans>` | `iterator()`
`IntendedMeans` | `peek()`
`IntendedMeans` | `pop()`
`void` | `push(IntendedMeans im)`
`void` | `setAtomic(boolean b)`
`void` | `setSuspended(boolean b)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EmptyInt

    public static final Intention EmptyInt

Constructor Detail

### Intention

    public Intention()

Method Detail

### getId

    public int getId()

### push

    public void push(IntendedMeans im)

### peek

    public IntendedMeans peek()

### get

    public IntendedMeans get(int index)

### pop

    public IntendedMeans pop()

### iterator

    public java.util.ListIterator<IntendedMeans> iterator()

### isFinished

    public boolean isFinished()

### size

    public int size()

### isAtomic

    public boolean isAtomic()

### setAtomic

    public void setAtomic(boolean b)

### setSuspended

    public void setSuspended(boolean b)

### isSuspended

    public boolean isSuspended()

### getIMs

    public java.util.Stack<IntendedMeans> getIMs()

### getIM

    public IntendedMeans getIM(Trigger g,
                               Unifier u)

  returns the IntendedMeans with TE = g, returns null if there isn't one

### hasTrigger

    public boolean hasTrigger(Trigger g,
                              Unifier u)

  returns true if the intention has an IM where TE = g, using u to verify equality

### dropGoal

    public boolean dropGoal(Trigger te,
                            Unifier un)

  remove all IMs until the IM with trigger te

### compareTo

    public int compareTo(Intention o)

  implements atomic intentions > not atomic intentions

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Intention>`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### clone

    public Intention clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAsTerm

    public Term getAsTerm()

### getAsDOM

    public org.w3c.dom.Element getAsDOM(org.w3c.dom.Document document)

  get as XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD